Name: x11-driver-video-mga
Version: 1.4.8
Release: %mkrel 1
Epoch: 2
Summary: The X.org driver for Matrox Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-mga-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for Matrox Cards

%prep
%setup -q -n xf86-video-mga-%{version}

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/mga_drv.la
%{_libdir}/xorg/modules/drivers/mga_drv.so
%{_mandir}/man4/mga.*


%changelog
* Fri Apr 25 2008 Paulo Andrade <pcpa@mandriva.com.br> 2:1.4.8-1mdv2008.1
+ Revision: 197492
- Correct a problem where an earlier version was used as an update to
  mga driver 1.4.7, instead of the proper 1.4.8 version.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:1.9.100-1mdv2008.1
+ Revision: 165570
- Revert to use upstream tarball and remove local patches.
  New upstream release version 1.9.100.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1:1.4.7-4mdv2008.1
+ Revision: 156610
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:1.4.7-3mdv2008.1
+ Revision: 154852
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update spec documentation to describe how to generate the tarball from
  tag xf86-video-mga-1.4.7, and generate patches up to where mandriva branch
  was instantiated.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1:1.4.7-2mdv2008.1
+ Revision: 98697
- minor spec cleanup
- build against new xserver (1.4)
- new upstream version: 1.4.7
- minor spec cleanup

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

* Mon Apr 30 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:1.4.6.1-1mdv2008.0
+ Revision: 19632
- new release


* Wed Dec 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.6-1mdv2007.0
+ Revision: 100478
- new release

* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1:1.4.5-1mdv2007.1
+ Revision: 89706
- new release
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Rollback to 1.2.1.3 (#23498)
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

